Subject: bug#24585: 25.1; avoid hack in ggtags.el to run compilation-auto-jump timer

From: Stefan Monnier <[email-masked]>
Date: Fri, 07 Oct 2016 08:46:10 -0400

> compilation-auto-jump timer is fired by the font-locking engine.

Not sure what you mean by "fired", but in any case, no: font-lock is not
used for that (tho it has been used at some point before
compilation-auto-jump was introduced, IIRC).  Instead, it's done via
syntax-propertize (which can be triggered in all kinds of ways,
including font-lock).

How 'bout something like the following:

- Add a new var compilation-pending-auto-jump set buffer-locally to
  non-nil when compilation-error-properties calls run-with-timer.
- in compilation-auto-jump, check this var before doing anything and set
  it back to nil.
- in ggtags, call compilation-auto-jump to make sure this timer is run
  before yours.

        Stefan